Agora Java API Reference for Android

Public Member Functions | List of all members
io.agora.rtc2.IH265Transcoder Interface Reference

## Public Member Functions
int | registerTranscoderObserver (IH265TranscoderObserver observer)
int | unregisterTranscoderObserver (IH265TranscoderObserver observer)
int | enableTranscode (String token, String channel, int uid)
int | queryChannel (String token, String channel, int uid)
int | triggerTranscode (String token, String channel, int uid)

## Detailed Description

The IH265Transcoder interface.

## Member Function Documentation

## ◆ registerTranscoderObserver()

int io.agora.rtc2.IH265Transcoder.registerTranscoderObserver | ( | IH265TranscoderObserver | observer | ) |

Register a IH265TranscoderObserver object.

Parameters

  observer |

Returns
  - 0: Success.
  - <0: Failure.

## ◆ unregisterTranscoderObserver()

int io.agora.rtc2.IH265Transcoder.unregisterTranscoderObserver | ( | IH265TranscoderObserver | observer | ) |

Unregister a IH265TranscoderObserver object.

Parameters

  observer |

Returns
  - 0: Success.
  - <0: Failure.

## ◆ enableTranscode()

int io.agora.rtc2.IH265Transcoder.enableTranscode | ( | String | token,
|  | String | channel,
|  | int | uid
| ) |  |

Enable transcoding for a channel.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ queryChannel()

int io.agora.rtc2.IH265Transcoder.queryChannel | ( | String | token,
|  | String | channel,
|  | int | uid
| ) |  |

Query the transcoded channel of a channel.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.

## ◆ triggerTranscode()

int io.agora.rtc2.IH265Transcoder.triggerTranscode | ( | String | token,
|  | String | channel,
|  | int | uid
| ) |  |

Trigger channel transcoding.

Parameters

  token | The token for authentication.
  channel | The unique channel name for the AgoraRTC session in the string format.
  uid | User ID.

Returns
  - 0: Success.
  - <0: Failure.